Package be.fgov.ehealth.dics.protocol.v4

# Class FindReimbursementRequest

java.lang.Object
be.fgov.ehealth.commons.protocol.v2.RequestType
be.fgov.ehealth.dics.protocol.v4.FindReimbursementRequest

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:17:33+02:00", comments="JAXB RI v4.0.5") public class FindReimbursementRequest extends RequestType implements Serializable

Java class for FindReimbursementRequestType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="FindReimbursementRequestType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}RequestType">
           <choice>
             <element name="FindByPackage" type="{urn:be:fgov:ehealth:dics:protocol:v4}FindByPackageType"/>
             <element name="FindByDmpp" type="{urn:be:fgov:ehealth:dics:core:v4:actual:common}DmppKeyType"/>
             <element name="FindByLegalReferencePath" type="{urn:be:fgov:ehealth:dics:core:v4:core}LegalReferencePathType"/>
             <element name="FindByGenericPrescriptionGroup" type="{urn:be:fgov:ehealth:dics:protocol:v4}FindByGenericPrescriptionGroupType"/>
           </choice>
           <attribute ref="{http://www.w3.org/XML/1998/namespace}lang use="required""/>
           <attribute name="SearchDate" type="{http://www.w3.org/2001/XMLSchema}date" />
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FindReimbursementRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DmppKeyType`
  `getFindByDmpp()`
  Gets the value of the findByDmpp property.
  `FindByGenericPrescriptionGroupType`
  `getFindByGenericPrescriptionGroup()`
  Gets the value of the findByGenericPrescriptionGroup property.
  `String`
  `getFindByLegalReferencePath()`
  Gets the value of the findByLegalReferencePath property.
  `FindByPackageType`
  `getFindByPackage()`
  Gets the value of the findByPackage property.
  `String`
  `getLang()`
  Attempting to install the relevant ISO 2- and 3-letter codes as the enumerated possible values is probably never going to be a realistic possibility.
  `Instant`
  `getSearchDate()`
  Gets the value of the searchDate property.
  `void`
  `setFindByDmpp(DmppKeyType value)`
  Sets the value of the findByDmpp property.
  `void`
  `setFindByGenericPrescriptionGroup(FindByGenericPrescriptionGroupType value)`
  Sets the value of the findByGenericPrescriptionGroup property.
  `void`
  `setFindByLegalReferencePath(String value)`
  Sets the value of the findByLegalReferencePath property.
  `void`
  `setFindByPackage(FindByPackageType value)`
  Sets the value of the findByPackage property.
  `void`
  `setLang(String value)`
  Sets the value of the lang property.
  `void`
  `setSearchDate(Instant value)`
  Sets the value of the searchDate property.

  ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.RequestType

  `getId, getIssueInstant, setId, setIssueInstant`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FindReimbursementRequest

    public FindReimbursementRequest()

- ## Method Details

  - ### getFindByGenericPrescriptionGroup

    public FindByGenericPrescriptionGroupType getFindByGenericPrescriptionGroup()
    Gets the value of the findByGenericPrescriptionGroup property.
    Returns:
      possible object is `FindByGenericPrescriptionGroupType`

  - ### setFindByGenericPrescriptionGroup

    public void setFindByGenericPrescriptionGroup(FindByGenericPrescriptionGroupType value)
    Sets the value of the findByGenericPrescriptionGroup property.
    Parameters:
      `value` - allowed object is `FindByGenericPrescriptionGroupType`

  - ### getFindByLegalReferencePath

    public String getFindByLegalReferencePath()
    Gets the value of the findByLegalReferencePath property.
    Returns:
      possible object is `String`

  - ### setFindByLegalReferencePath

    public void setFindByLegalReferencePath(String value)
    Sets the value of the findByLegalReferencePath property.
    Parameters:
      `value` - allowed object is `String`

  - ### getFindByDmpp

    public DmppKeyType getFindByDmpp()
    Gets the value of the findByDmpp property.
    Returns:
      possible object is `DmppKeyType`

  - ### setFindByDmpp

    public void setFindByDmpp(DmppKeyType value)
    Sets the value of the findByDmpp property.
    Parameters:
      `value` - allowed object is `DmppKeyType`

  - ### getFindByPackage

    public FindByPackageType getFindByPackage()
    Gets the value of the findByPackage property.
    Returns:
      possible object is `FindByPackageType`

  - ### setFindByPackage

    public void setFindByPackage(FindByPackageType value)
    Sets the value of the findByPackage property.
    Parameters:
      `value` - allowed object is `FindByPackageType`

  - ### getLang

    public String getLang()
    Attempting to install the relevant ISO 2- and 3-letter codes as the enumerated possible values is probably never going to be a realistic possibility. See RFC 3066 at http://www.ietf.org/rfc/rfc3066.txt and the IANA registry at http://www.iana.org/assignments/lang-tag-apps.htm for further information. The union allows for the 'un-declaration' of xml:lang with the empty string.
    Returns:
      possible object is `String`

  - ### setLang

    public void setLang(String value)
    Sets the value of the lang property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getLang()`

  - ### getSearchDate

    public Instant getSearchDate()
    Gets the value of the searchDate property.
    Returns:
      possible object is `String`

  - ### setSearchDate

    public void setSearchDate(Instant value)
    Sets the value of the searchDate property.
    Parameters:
      `value` - allowed object is `String`